Debian Bug report logs - #77324
dpkg wish: conditional dependencies

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Adrian Bunk <bunk@stusta.de>

Date: Sat, 18 Nov 2000 00:48:01 UTC

Severity: wishlist

Tags: wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>:
Bug#77324; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
New Bug report received and forwarded. Copy sent to Wichert Akkerman <wakkerma@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg wish: conditional dependencies
Date: Sat, 18 Nov 2000 01:35:53 +0100
Package: dpkg
Severity: wishlist


After looking at #72264 I think it would be a nice feature to have conditional
dependencies in dpkg. That means dependencies of the type "if package a
is installed, you must install package b". I don't know if it is possible to
implement but I think this would be a useful feature.





Information forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>:
Bug#77324; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@valinux.com>:
Extra info received and forwarded to list. Copy sent to Wichert Akkerman <wakkerma@debian.org>. Full text and rfc822 format available.

Message #10 received at 77324@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@valinux.com>
To: Adrian Bunk <bunk@fs.tum.de>, 77324@bugs.debian.org
Subject: Re: Bug#77324: dpkg wish: conditional dependencies
Date: Sat, 18 Nov 2000 02:02:33 +0100
Previously Adrian Bunk wrote:
> After looking at #72264 I think it would be a nice feature to have conditional
> dependencies in dpkg. That means dependencies of the type "if package a
> is installed, you must install package b". I don't know if it is possible to
> implement but I think this would be a useful feature.

Great, more stuff in the BTS that won't be done in years.

Wichert.

-- 
   ________________________________________________________________
 / Generally uninteresting signature - ignore at your convenience  \
| wichert@cistron.nl                  http://www.liacs.nl/~wichert/ |
| 1024D/2FA3BC2D 576E 100B 518D 2F16 36B0  2805 3CB8 9250 2FA3 BC2D |



Tags added: wontfix Request was from Wichert Akkerman <wichert@cistron.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org:
Bug#77324; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org. Full text and rfc822 format available.

Message #17 received at 77324@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Wichert Akkerman <wichert@valinux.com>
Cc: Adrian Bunk <bunk@fs.tum.de>, 77324@bugs.debian.org
Subject: Re: Bug#77324: dpkg wish: conditional dependencies
Date: Thu, 2 Jan 2003 12:11:42 +0100
Moin Wichert!
Wichert Akkerman schrieb am Saturday, den 18. November 2000:

> > After looking at #72264 I think it would be a nice feature to have conditional
> > dependencies in dpkg. That means dependencies of the type "if package a
> > is installed, you must install package b". I don't know if it is possible to
> > implement but I think this would be a useful feature.
> 
> Great, more stuff in the BTS that won't be done in years.

Great, now we have a TODO site where you could put this problem on, with
a few description about what is needed to do. The feature still does
make sense in many cases.

Jan 02 02:27:04 <Zomb> re
Jan 02 02:27:13 <walters> the first step will be to improve UTF-8 support in general.
Jan 02 02:27:19 <Zomb> oh, we still need kinda Implizit-Depends: flag for dpkg
Jan 02 02:27:20 * aph writing requirements for a job, sooooo boring
Jan 02 02:27:28 <Zomb> something you only depend on when another packge exists
Jan 02 02:27:28 <walters> development versions of gnome-terminal already support it fairly well
Jan 02 02:27:42 <walters> then the next version is to switch apps to using it as the default.
Jan 02 02:27:56 <Zomb> for example, "task-french" package as implizit dependency on kde-i18n-fr
Jan 02 02:28:04 <Zomb> no kde, no dependency
Jan 02 02:28:09 <Zomb> KDE installed, dependency appears
Jan 02 02:28:29 <doogie> enhances
Jan 02 02:28:59 <Zomb> doogie: well, supported by which tools?
Jan 02 02:29:02 <aph> Zomb: hmmm... kinda like, if pkg X is installed, we also want pkg Y
Jan 02 02:29:29 <aph> I would call that "conditional depends/recommends/suggests"
Jan 02 02:29:30 <Zomb> aph: exactly, something I miss dealing with localisation issues
Jan 02 02:29:40 <-- walters has quit ("out")
Jan 02 02:29:53 <-- plopix has quit ("leaving")
Jan 02 02:29:55 <aph> it could probably be done by enhancing the current depends syntax
Jan 02 02:30:06 <aph> analogous to what they did with the arch-specific depends
Jan 02 02:30:10 <Zomb> I don't know why
Jan 02 02:30:20 <Zomb> maybe something like Depends: foo & bar
Jan 02 02:30:23 <Zomb> logical and
Jan 02 02:30:30 <aph> hmm, yah
Jan 02 02:31:16 <aph> kinda; more like, if foo then bar
Jan 02 02:32:08 <Zomb> hmmm
Jan 02 02:32:22 <Zomb> logical term: (foo & bar) || true
Jan 02 02:32:27 <Stric> foo -> bar
Jan 02 02:32:47 <Zomb> or even so

Gruss/Regards,
Eduard.
-- 
"PS: Entgegen einer weitverbreiteten Annahme ist es zB möglich, bug-freie
10.000-Zeilen-Assemblerprogramme zu schreiben, die dann fünfzehn Jahre lang
einfach funktionieren." "'Möglich' im Sinne von 'Es ist möglich, 100 m unter 10
Sekunden zu laufen'. In der Praxis verpaßt man die Straßenbahn aber trotzdem."
[Anselm Lingnau zu Rainer Weikusat in <387b3a95@nntp.server.uni-frankfurt.de]




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org:
Bug#77324; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org. Full text and rfc822 format available.

Message #22 received at 77324@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: wichert@wiggy.net
Cc: Adrian Bunk <bunk@fs.tum.de>, 77324@bugs.debian.org
Subject: Re: Bug#77324: dpkg wish: conditional dependencies
Date: Thu, 2 Jan 2003 14:00:25 +0100
Moin Wichert!
Wichert Akkerman schrieb am Saturday, den 18. November 2000:

> > After looking at #72264 I think it would be a nice feature to have conditional
> > dependencies in dpkg. That means dependencies of the type "if package a
> > is installed, you must install package b". I don't know if it is possible to
> > implement but I think this would be a useful feature.
> 
> Great, more stuff in the BTS that won't be done in years.

Great, now we have a TODO site where you could put this problem on, with
a few description about what is needed to do. The feature still does
make sense in many cases.

Jan 02 02:27:04 <Zomb> re
Jan 02 02:27:13 <walters> the first step will be to improve UTF-8 support in general.
Jan 02 02:27:19 <Zomb> oh, we still need kinda Implizit-Depends: flag for dpkg
Jan 02 02:27:20 * aph writing requirements for a job, sooooo boring
Jan 02 02:27:28 <Zomb> something you only depend on when another packge exists
Jan 02 02:27:28 <walters> development versions of gnome-terminal already support it fairly well
Jan 02 02:27:42 <walters> then the next version is to switch apps to using it as the default.
Jan 02 02:27:56 <Zomb> for example, "task-french" package as implizit dependency on kde-i18n-fr
Jan 02 02:28:04 <Zomb> no kde, no dependency
Jan 02 02:28:09 <Zomb> KDE installed, dependency appears
Jan 02 02:28:29 <doogie> enhances
Jan 02 02:28:59 <Zomb> doogie: well, supported by which tools?
Jan 02 02:29:02 <aph> Zomb: hmmm... kinda like, if pkg X is installed, we also want pkg Y
Jan 02 02:29:29 <aph> I would call that "conditional depends/recommends/suggests"
Jan 02 02:29:30 <Zomb> aph: exactly, something I miss dealing with localisation issues
Jan 02 02:29:40 <-- walters has quit ("out")
Jan 02 02:29:53 <-- plopix has quit ("leaving")
Jan 02 02:29:55 <aph> it could probably be done by enhancing the current depends syntax
Jan 02 02:30:06 <aph> analogous to what they did with the arch-specific depends
Jan 02 02:30:10 <Zomb> I don't know why
Jan 02 02:30:20 <Zomb> maybe something like Depends: foo & bar
Jan 02 02:30:23 <Zomb> logical and
Jan 02 02:30:30 <aph> hmm, yah
Jan 02 02:31:16 <aph> kinda; more like, if foo then bar
Jan 02 02:32:08 <Zomb> hmmm
Jan 02 02:32:22 <Zomb> logical term: (foo & bar) || true
Jan 02 02:32:27 <Stric> foo -> bar
Jan 02 02:32:47 <Zomb> or even so

Gruss/Regards,
Eduard.
-- 
Linux - aus klaren Quellen wird ein starker Strom.




Tags removed: wontfix Request was from jdthood@yahoo.co.uk (Thomas Hood) to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Adrian Bunk <bunk@fs.tum.de> to Adrian Bunk <bunk@stusta.de>. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#77324; Package dpkg. (Sun, 16 May 2010 15:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 16 May 2010 15:21:09 GMT) Full text and rfc822 format available.

Message #31 received at 77324@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 77324@bugs.debian.org
Subject: conditional dependencies unlikely to be implemented
Date: Sun, 16 May 2010 17:19:17 +0200
tag 77324 + wontfix
thanks

This bug is unlikely to be fixed. The expressed need is not very
frequently seen and the required changes are so intrusive that it's
unlikely to come up as something likely to be implemented any time
soon (Wichert was right...).

Thus tagging it wontfix for now.

Cheers,
-- 
Raphaël Hertzog

Like what I do? Sponsor me: http://ouaza.com/wp/2010/01/05/5-years-of-freexian/
My Debian goals: http://ouaza.com/wp/2010/01/09/debian-related-goals-for-2010/




Added tag(s) wontfix. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 16 May 2010 15:21:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:16:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.